/*
 
Run this sketch on two Zigduinos, open the serial monitor at 9600 baud, and type in stuff
Watch the Rx Zigduino output what you've input into the serial port of the Tx Zigduino
 
*/
#include <Wire.h>
#include <SparrowTransfer.h>
 
//create object
SparrowTransfer ST;

struct RECEIVE_DATA_STRUCTURE{
  uint8_t id;
  uint16_t seq;
  char payload[20];
};

RECEIVE_DATA_STRUCTURE mydata;

int led = 11;

void setup()
{
  pinMode(led, OUTPUT); 
 
  Serial.begin(9600);

  ST.begin(details(mydata));
  
  Wire.begin();
}

uint8_t key[16] = {0,};

void loop()
{
  int stat = ST.receiveEncData(key);
  if (stat == SUCCESS)
  {
    Serial.print("Received: ");
    Serial.println(mydata.payload);
    Serial.flush();
  }

  delay(1000);
}
