/*
 
Run this sketch on two Zigduinos, open the serial monitor at 9600 baud, and type in stuff
Watch the Rx Zigduino output what you've input into the serial port of the Tx Zigduino
 
*/
#include <Wire.h>
#include <SparrowTransfer.h>
 
//create object
SparrowTransfer ST;

struct SEND_DATA_STRUCTURE{
  uint8_t id;
  uint16_t seq;
  char payload[20];
};

SEND_DATA_STRUCTURE mydata;

void setup()
{
  Serial.begin(9600);

  ST.begin(details(mydata));
  
  Wire.begin();
}

uint16_t g_seq = 0;

uint8_t key[16] = {0,};

void loop()
{
  mydata.id = 5;
  mydata.seq = g_seq++;
    
  sprintf(mydata.payload, "Secret %d", g_seq);
  
  Serial.print("Sending: ");
  Serial.print(mydata.payload);
  Serial.println();
    
  ST.sendEncData(key);

  delay(1000);
}
